Campaign Details

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.lwolf.com/doc/homespotter/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "HomeSpotter MCP server": {
    "url": "https://apidocs.lwolf.com/doc/homespotter/mcp"
  }
}

Close
GET /dashboard/integration/details/{partner_short_code}

Get detailed report of all campaigns for an agent

Path parameters

  • partner_short_code string Required

Query parameters

  • token string Required

Responses

  • 200 application/json

    Campaign details retrieved

    Hide response attributes Show response attributes object
    • rollupStats object
      Hide rollupStats attributes Show rollupStats attributes object
      • total_clicks integer
      • total_impressions integer
      • total_campaigns integer
      • running_campaigns integer
    • results array[object]
      Hide results attributes Show results attributes object
      • campaign_id string
      • type string

        Values are Listing or AgentPromo.

      • starts_at string(date-time)
      • ends_at string(date-time)
      • headline string
      • title string
      • description string
      • address string
      • city string
      • state string
      • zip string
      • price number(double)
      • agent_first_name string
      • agent_last_name string
      • impressions integer
      • clicks integer
      • campaign_status string

        Values are Enabled or Disabled.

    • rows integer
GET /dashboard/integration/details/{partner_short_code}
curl \
 --request GET 'https://api.homespotter.com/dashboard/integration/details/{partner_short_code}?token=string&token=api_token_value'
Response examples (200)
{
  "rollupStats": {
    "total_clicks": 42,
    "total_impressions": 42,
    "total_campaigns": 42,
    "running_campaigns": 42
  },
  "results": [
    {
      "campaign_id": "string",
      "type": "Listing",
      "starts_at": "2026-05-04T09:42:00Z",
      "ends_at": "2026-05-04T09:42:00Z",
      "headline": "string",
      "title": "string",
      "description": "string",
      "address": "string",
      "city": "string",
      "state": "string",
      "zip": "string",
      "price": 42.0,
      "agent_first_name": "string",
      "agent_last_name": "string",
      "impressions": 42,
      "clicks": 42,
      "campaign_status": "Enabled"
    }
  ],
  "rows": 42
}